package com.jsc.dsp.service;

import com.jsc.dsp.dao.ConfigRepository;
import com.jsc.dsp.model.Config;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class ConfigService {

    @Resource
    ConfigRepository configRepository;

    public String getConfigValueByName(String configName) {
        return getConfigByName(configName).getConfigValue();
    }

    public Config getConfigByName(String configName) {
        return configRepository.findFirstByConfigName(configName);
    }

    public void setConfigValueByName(String configName, String configValue) {
        Config config = getConfigByName(configName);
        config.setConfigValue(configValue);
        configRepository.save(config);
    }

}
